function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { Button } from 'react-bootstrap';
import FontAwesome from 'react-fontawesome';

var SearchButton = function (_React$Component) {
  _inherits(SearchButton, _React$Component);

  function SearchButton(props) {
    _classCallCheck(this, SearchButton);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {
      _this.state = _this.setTheState(nextProps);
    };

    _this.setTheState = function (props) {
      return {};
    };

    _this.state = _this.setTheState(props, "");
    return _this;
  }

  SearchButton.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-search-button' },
      React.createElement(
        'div',
        { className: 'control-label' },
        this.props.instructions
      ),
      React.createElement(
        Button,
        {
          bsStyle: 'primary',
          bsSize: 'xsmall',
          type: 'submit',
          disabled: this.props.disabled,
          onClick: this.props.submitHandler
        },
        React.createElement(FontAwesome, { className: 'Button-Select-FontAwesome', name: "search" }),
        this.props.submitLabel
      )
    );
  };

  return SearchButton;
}(React.Component);

process.env.NODE_ENV !== "production" ? SearchButton.propTypes = {
  submitLabel: PropTypes.string.isRequired,
  instructions: PropTypes.string.isRequired,
  submitHandler: PropTypes.func.isRequired,
  disabled: PropTypes.bool.isRequired
} : void 0;

SearchButton.defaultProps = {};

export default SearchButton;