function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import En from './FlagEn';
import El from './FlagEl';

/**
 * Copy this to create a new component.
 */
export var Flag = function (_React$Component) {
  _inherits(Flag, _React$Component);

  function Flag(props) {
    _classCallCheck(this, Flag);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.getFlag = function (code) {
      switch (code) {
        case "el":
          {
            return React.createElement(El, null);
          }
        default:
          {
            return React.createElement(En, null);
          }
      }
    };

    _this.getFlag = _this.getFlag.bind(_this);
    return _this;
  }

  Flag.prototype.render = function render() {
    return React.createElement(
      'span',
      null,
      this.getFlag(this.props.code)
    );
  };

  return Flag;
}(React.Component);

export default Flag;