function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import SsSearchResultYourKingdomOf from '../../images/SsSearchResultYourKingdomOf';
import SsShowingRows from '../../images/SsSearchShowingRows';
import PropTypes from "prop-types";

var DocSearchResults = function (_React$Component) {
  _inherits(DocSearchResults, _React$Component);

  function DocSearchResults(props) {
    _classCallCheck(this, DocSearchResults);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSearchResults.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-help-doc-search-results' },
      React.createElement(
        'div',
        { className: 'jumbotron' },
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchResultsP01a,
          ' ',
          React.createElement(
            'em',
            null,
            'your kingdom of'
          )
        ),
        React.createElement(SsSearchResultYourKingdomOf, null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchResultsP02
        ),
        React.createElement(
          'ol',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP03
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP04
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP05
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP06
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP07
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP08
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchResultsP09
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchResultsP10
        ),
        React.createElement(SsShowingRows, null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchResultsP11
        )
      )
    );
  };

  return DocSearchResults;
}(React.Component);

process.env.NODE_ENV !== "production" ? DocSearchResults.propTypes = {
  session: PropTypes.object.isRequired
} : void 0;
export default DocSearchResults;