function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import FontAwesome from 'react-fontawesome';
import PropTypes from "prop-types";

var DocSimpleSearch = function (_React$Component) {
  _inherits(DocSimpleSearch, _React$Component);

  function DocSimpleSearch(props) {
    _classCallCheck(this, DocSimpleSearch);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSimpleSearch.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-help-doc-simple-search' },
      React.createElement(
        'div',
        { className: 'jumbotron' },
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP01
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP02
        ),
        React.createElement(
          'ol',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSimpleSearchP03
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSimpleSearchP04,
            ' ',
            React.createElement(FontAwesome, { name: "search" }),
            ' Submit.'
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP05
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP06
        )
      )
    );
  };

  return DocSimpleSearch;
}(React.Component);

process.env.NODE_ENV !== "production" ? DocSimpleSearch.propTypes = {
  session: PropTypes.object.isRequired
} : void 0;
export default DocSimpleSearch;