'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBootstrap = require('react-bootstrap');

var _reactFontawesome = require('react-fontawesome');

var _reactFontawesome2 = _interopRequireDefault(_reactFontawesome);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SearchButton = function (_React$Component) {
  _inherits(SearchButton, _React$Component);

  function SearchButton(props) {
    _classCallCheck(this, SearchButton);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {
      _this.state = _this.setTheState(nextProps);
    };

    _this.setTheState = function (props) {
      return {};
    };

    _this.state = _this.setTheState(props, "");
    return _this;
  }

  SearchButton.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-search-button' },
      _react2.default.createElement(
        'div',
        { className: 'control-label' },
        this.props.instructions
      ),
      _react2.default.createElement(
        _reactBootstrap.Button,
        {
          bsStyle: 'primary',
          bsSize: 'xsmall',
          type: 'submit',
          disabled: this.props.disabled,
          onClick: this.props.submitHandler
        },
        _react2.default.createElement(_reactFontawesome2.default, { className: 'Button-Select-FontAwesome', name: "search" }),
        this.props.submitLabel
      )
    );
  };

  return SearchButton;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? SearchButton.propTypes = {
  submitLabel: _propTypes2.default.string.isRequired,
  instructions: _propTypes2.default.string.isRequired,
  submitHandler: _propTypes2.default.func.isRequired,
  disabled: _propTypes2.default.bool.isRequired
} : void 0;

SearchButton.defaultProps = {};

exports.default = SearchButton;
module.exports = exports['default'];