'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SsVersionCompare = require('../../images/SsVersionCompare');

var _SsVersionCompare2 = _interopRequireDefault(_SsVersionCompare);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocComparison = function (_React$Component) {
  _inherits(DocComparison, _React$Component);

  function DocComparison(props) {
    _classCallCheck(this, DocComparison);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocComparison.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-help-doc-comparison' },
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocVersionComparisonP01
        ),
        _react2.default.createElement(_SsVersionCompare2.default, null)
      )
    );
  };

  return DocComparison;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocComparison.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;
exports.default = DocComparison;
module.exports = exports['default'];