'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MeM1D1A = require('../../images/MeM1D1A1');

var _MeM1D1A2 = _interopRequireDefault(_MeM1D1A);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocIds = function (_React$Component) {
  _inherits(DocIds, _React$Component);

  function DocIds(props) {
    _classCallCheck(this, DocIds);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocIds.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-help-doc-ids' },
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP01
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP02
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP03
        ),
        _react2.default.createElement(
          'ol',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchHeaderDomain
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchHeaderTopic
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchHeaderKey
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP04
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP05
        ),
        _react2.default.createElement(_MeM1D1A2.default, null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP06
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP07
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP08
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP09
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP10
        ),
        _react2.default.createElement(
          'ol',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocIdP11
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocIdP12
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocIdP13
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP14
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP15
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocIdP16
        )
      )
    );
  };

  return DocIds;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocIds.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;

exports.default = DocIds;
module.exports = exports['default'];