'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontawesome = require('react-fontawesome');

var _reactFontawesome2 = _interopRequireDefault(_reactFontawesome);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocSimpleSearch = function (_React$Component) {
  _inherits(DocSimpleSearch, _React$Component);

  function DocSimpleSearch(props) {
    _classCallCheck(this, DocSimpleSearch);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSimpleSearch.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-help-doc-simple-search' },
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP01
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP02
        ),
        _react2.default.createElement(
          'ol',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSimpleSearchP03
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSimpleSearchP04,
            ' ',
            _react2.default.createElement(_reactFontawesome2.default, { name: "search" }),
            ' Submit.'
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP05
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSimpleSearchP06
        )
      )
    );
  };

  return DocSimpleSearch;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocSimpleSearch.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;
exports.default = DocSimpleSearch;
module.exports = exports['default'];