function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { EditorState, Modifier } from 'draft-js';

// see https://draftjs.org/docs/api-reference-modifier.html#content
// copy from here when ready to make this more useful:
// https://github.com/jpuri/react-draft-wysiwyg/blob/master/src/controls/BlockType/index.js

export var CitationButton = function (_React$Component) {
  _inherits(CitationButton, _React$Component);

  function CitationButton() {
    var _temp, _this, _ret;

    _classCallCheck(this, CitationButton);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.addCitation = function () {
      var _this$props = _this.props,
          editorState = _this$props.editorState,
          onChange = _this$props.onChange;

      var contentState = Modifier.replaceText(editorState.getCurrentContent(), editorState.getSelection(), '@', editorState.getCurrentInlineStyle());
      onChange(EditorState.push(editorState, contentState, 'insert-characters'));
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  CitationButton.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'rdw-link-wrapper' },
      React.createElement(
        'div',
        { className: 'rdw-option-wrapper', onClick: this.addCitation },
        '@'
      )
    );
  };

  return CitationButton;
}(React.Component);

process.env.NODE_ENV !== "production" ? CitationButton.propTypes = {
  onChange: PropTypes.func,
  editorState: PropTypes.object
} : void 0;

export default CitationButton;