function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import MessageIcons from '../helpers/MessageIcons';
import FontAwesome from 'react-fontawesome';

var Spinner = function (_React$Component) {
  _inherits(Spinner, _React$Component);

  function Spinner(props) {
    _classCallCheck(this, Spinner);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {
      _this.state = _this.setTheState(nextProps);
    };

    _this.setTheState = function (props) {
      return {};
    };

    _this.state = _this.setTheState(props, "");
    return _this;
  }

  Spinner.prototype.render = function render() {
    return React.createElement(
      'span',
      { className: 'App-spinner-span' },
      React.createElement(FontAwesome, {
        className: 'App-font-awesome-spinner',
        name: MessageIcons.getMessageIcons().spinner,
        spin: true
      }),
      ' ',
      this.props.message
    );
  };

  return Spinner;
}(React.Component);

process.env.NODE_ENV !== "production" ? Spinner.propTypes = {
  message: PropTypes.string.isRequired
} : void 0;

Spinner.defaultProps = {};

export default Spinner;