function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { Panel } from 'react-bootstrap';

/**
 * Use this as an example starting point for new React components
 */

var GrammarSitePanel = function (_React$Component) {
  _inherits(GrammarSitePanel, _React$Component);

  function GrammarSitePanel(props) {
    _classCallCheck(this, GrammarSitePanel);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {};

    _this.showWindow = function (url) {
      window.open(url, "", "fullscreen=no");
    };

    _this.showWindow = _this.showWindow.bind(_this);
    return _this;
  }

  // not used, but this is an alternative.  But sometimes browsers block popups


  GrammarSitePanel.prototype.render = function render() {
    var _this2 = this;

    var TheLinks = function TheLinks() {
      return React.createElement(
        'div',
        null,
        _this2.props.lemmas.map(function (lemma) {
          return React.createElement(
            'div',
            { key: _this2.props.title + lemma },
            React.createElement(
              'a',
              {
                target: '_blank',
                href: _this2.props.url + lemma,
                rel: "noopener noreferrer"
              },
              lemma
            )
          );
        })
      );
    };

    return React.createElement(
      'div',
      null,
      React.createElement(
        Panel,
        {
          className: 'App-Grammar-Site-panel',
          header: this.props.title,
          collapsible: true
        },
        React.createElement(TheLinks, { key: this.props.title })
      )
    );
  };

  return GrammarSitePanel;
}(React.Component);

process.env.NODE_ENV !== "production" ? GrammarSitePanel.propTypes = {
  languageCode: PropTypes.string.isRequired,
  lemmas: PropTypes.array.isRequired,
  url: PropTypes.string.isRequired,
  title: PropTypes.string.isRequired
} : void 0;

GrammarSitePanel.defaultProps = {};

export default GrammarSitePanel;