function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { Panel, Well } from 'react-bootstrap';

var Html5VideoPanel = function (_React$Component) {
  _inherits(Html5VideoPanel, _React$Component);

  function Html5VideoPanel(props) {
    _classCallCheck(this, Html5VideoPanel);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {};

    return _this;
  }

  Html5VideoPanel.prototype.render = function render() {

    return React.createElement(
      'div',
      null,
      React.createElement(
        Panel,
        {
          className: 'App-Help-panel',
          header: this.props.title,
          eventKey: this.props.eventKey,
          collapsible: true
        },
        React.createElement(
          Well,
          null,
          React.createElement(
            'p',
            null,
            this.props.text
          ),
          this.props.url ? React.createElement(
            'video',
            { className: 'App-video-player', width: '320', height: '240', controls: true },
            ' ',
            React.createElement('source', { src: this.props.url })
          ) : React.createElement('span', null)
        )
      )
    );
  };

  return Html5VideoPanel;
}(React.Component);

process.env.NODE_ENV !== "production" ? Html5VideoPanel.propTypes = {
  url: PropTypes.string,
  title: PropTypes.string.isRequired,
  text: PropTypes.string.isRequired,
  eventKey: PropTypes.string.isRequired
} : void 0;

Html5VideoPanel.defaultProps = {};

export default Html5VideoPanel;