function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import ScreenShot from '../../images/SsVersionCompare';
import PropTypes from "prop-types";

var DocComparison = function (_React$Component) {
  _inherits(DocComparison, _React$Component);

  function DocComparison(props) {
    _classCallCheck(this, DocComparison);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocComparison.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-help-doc-comparison' },
      React.createElement(
        'div',
        { className: 'jumbotron' },
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocVersionComparisonP01
        ),
        React.createElement(ScreenShot, null)
      )
    );
  };

  return DocComparison;
}(React.Component);

process.env.NODE_ENV !== "production" ? DocComparison.propTypes = {
  session: PropTypes.object.isRequired
} : void 0;
export default DocComparison;