function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import FontAwesome from 'react-fontawesome';
import SsInitial from '../../images/SsSearchAvancedInitial';
import SsBiblicalInitial from '../../images/SsSearchAvancedBiblicalInitial';
import SsLiturgicalInitial from '../../images/SsSearchAvancedLiturgicalInitial';
import PropTypes from "prop-types";

var DocSearchAdvanced = function (_React$Component) {
  _inherits(DocSearchAdvanced, _React$Component);

  function DocSearchAdvanced(props) {
    _classCallCheck(this, DocSearchAdvanced);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSearchAdvanced.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-help-doc-advanced-search' },
      React.createElement(
        'div',
        { className: 'jumbotron' },
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP01
        ),
        React.createElement(SsInitial, null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP02
        ),
        React.createElement(
          'ol',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP03
          ),
          React.createElement(
            'ul',
            null,
            React.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP04
            ),
            React.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP05
            ),
            React.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP06
            )
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP07
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP08
        ),
        React.createElement(SsBiblicalInitial, null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP09
        ),
        React.createElement(SsLiturgicalInitial, null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP10,
          ' ',
          this.state.labels.searchSecDocSearchAdvancedP11
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP12
        ),
        React.createElement(
          'ol',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP13
          ),
          React.createElement(
            'ul',
            null,
            React.createElement(
              'li',
              null,
              'ID'
            ),
            React.createElement(
              'li',
              null,
              'Value (insensitive)'
            ),
            React.createElement(
              'li',
              null,
              'Value (sensitive)'
            )
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP14
          ),
          React.createElement(
            'ul',
            null,
            React.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAtTheStart
            ),
            React.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAnywhere
            ),
            React.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAtTheEnd
            ),
            React.createElement(
              'li',
              null,
              this.state.labels.searchMatchesRegEx
            )
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP19
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP20,
            ' ',
            React.createElement(FontAwesome, { name: 'search' })
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP21,
          ':'
        ),
        React.createElement(
          'ul',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP22
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP23
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP24
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP25
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP26
        )
      )
    );
  };

  return DocSearchAdvanced;
}(React.Component);

process.env.NODE_ENV !== "production" ? DocSearchAdvanced.propTypes = {
  session: PropTypes.object.isRequired
} : void 0;
export default DocSearchAdvanced;