function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import SsRegEx from '../../images/SsRegEx';
import SsRegExResult from '../../images/SsRegExResult';
import PropTypes from "prop-types";

var DocSearchRegularExpressions = function (_React$Component) {
  _inherits(DocSearchRegularExpressions, _React$Component);

  function DocSearchRegularExpressions(props) {
    _classCallCheck(this, DocSearchRegularExpressions);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSearchRegularExpressions.prototype.render = function render() {
    return React.createElement(
      'div',
      { className: 'App-help-doc-regex-search' },
      React.createElement(
        'div',
        { className: 'jumbotron' },
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP01
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP02
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP03
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP04
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP05
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP06
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP07
        ),
        React.createElement(SsRegEx, null),
        React.createElement('p', null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP08
        ),
        React.createElement(SsRegExResult, null),
        React.createElement('p', null),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP09
        ),
        React.createElement(
          'ul',
          null,
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP10
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP11
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP12
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP13
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP14
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP15
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP16
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP17
          ),
          React.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP18
          )
        ),
        React.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP19
        )
      )
    );
  };

  return DocSearchRegularExpressions;
}(React.Component);

process.env.NODE_ENV !== "production" ? DocSearchRegularExpressions.propTypes = {
  session: PropTypes.object.isRequired
} : void 0;
export default DocSearchRegularExpressions;