import React from 'react';

var maxDepth = 5;
var renderDepthTitle = function renderDepthTitle(_ref) {
  var path = _ref.path;
  return 'Depth: ' + path.length;
};

var treeData = [{
  title: 'Template',
  subtitle: 'se.m01.d01.ve',
  expanded: true,
  children: [{
    title: 'Head',
    subtitle: '',
    children: [{
      title: 'Set_Date',
      subtitle: 'month 1 day 1 year 2018'
    }]
  }, {
    expanded: true,
    title: 'when-name-of-day-is',
    children: [{
      expanded: true,
      title: 'Sunday',
      children: [{ title: 'Egg' }]
    }, {
      expanded: true,
      title: 'Otherwise',
      children: [{ title: 'Egg' }]
    }]
  }, {
    title: 'Button(s) can be added to the node',
    subtitle: 'Node info is passed when generating so you can use it in your onClick handler'
  }, {
    title: 'Show node children by setting `expanded`',
    subtitle: function subtitle(_ref2) {
      var node = _ref2.node;
      return 'expanded: ' + (node.expanded ? 'true' : 'false');
    },
    children: [{
      title: 'Bruce',
      subtitle: function subtitle(_ref3) {
        var node = _ref3.node;
        return 'expanded: ' + (node.expanded ? 'true' : 'false');
      },
      children: [{ title: 'Bruce Jr.' }, { title: 'Brucette' }]
    }]
  }, {
    title: 'Advanced',
    subtitle: 'Settings, behavior, etc.',
    children: [{
      title: React.createElement(
        'div',
        null,
        React.createElement(
          'div',
          {
            style: {
              backgroundColor: 'gray',
              display: 'inline-block',
              borderRadius: 10,
              color: '#FFF',
              padding: '0 5px'
            }
          },
          'Any Component'
        ),
        '\xA0can be used for `title`'
      )
    }, {
      expanded: true,
      title: 'Limit nesting with `maxDepth`',
      subtitle: 'It\'s set to ' + maxDepth + ' for this example',
      children: [{
        expanded: true,
        title: renderDepthTitle,
        children: [{
          expanded: true,
          title: renderDepthTitle,
          children: [{ title: renderDepthTitle }, {
            title: function title(_ref4) {
              var path = _ref4.path;
              return path.length >= maxDepth ? 'This cannot be dragged deeper' : 'This can be dragged deeper';
            }
          }]
        }]
      }]
    }, {
      title: 'Disable dragging on a per-node basis with the `canDrag` prop',
      subtitle: 'Or set it to false to disable all dragging.',
      noDragging: true
    }, {
      title: 'You cannot give this children',
      subtitle: 'Dropping is prevented via the `canDrop` API using `nextParent`',
      noChildren: true
    }, {
      title: 'When node contents are really long, it will cause a horizontal scrollbar' + ' to appear. Deeply nested elements will also trigger the scrollbar.'
    }]
  }]
}];

export default { treeData: treeData };