'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AboutDatabase = function (_React$Component) {
  _inherits(AboutDatabase, _React$Component);

  function AboutDatabase() {
    _classCallCheck(this, AboutDatabase);

    return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
  }

  AboutDatabase.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-page App-page-about' },
      _react2.default.createElement(
        'h2',
        null,
        this.props.session.labels.pageAbout.pageTitle
      ),
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para01
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para02
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para03s1,
          _react2.default.createElement(
            'a',
            { href: 'https://www.ocmc.org/', target: '_blank' },
            ' (OCMC)'
          ),
          '.'
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para03s2
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para04s1,
          _react2.default.createElement(
            'a',
            { href: 'https://www.agesinitiatives.org/', target: '_blank' },
            ' AGES Initiatives, Inc.'
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para04s2,
          _react2.default.createElement(
            'a',
            { href: 'https://www.agesinitiatives.com/dcs/public/dcs/dcs.html', target: '_blank' },
            ' Digital Choir Stand'
          ),
          '.'
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.para04s3
        )
      ),
      _react2.default.createElement(
        'h2',
        null,
        this.props.session.labels.pageAbout.acknowledgements
      ),
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.ackPara01s1,
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://dcs.goarch.org/goa/dcs/about.html', target: '_blank' },
            this.props.session.labels.pageAbout.ackPara01s2
          ),
          ' ',
          this.props.session.labels.pageAbout.ackPara01s3
        ),
        _react2.default.createElement('p', null),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.ackPara02s1,
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://ccat.sas.upenn.edu/gopher/text/religion/biblical/lxxmorph/', target: '_blank' },
            this.props.session.labels.pageAbout.website
          ),
          '.'
        ),
        _react2.default.createElement('p', null),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.ackPara03s1,
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://ebible.org/find/show.php?id=eng-webbe', target: '_blank' },
            this.props.session.labels.pageAbout.website
          ),
          '.'
        ),
        _react2.default.createElement('p', null),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.ackPara04s1,
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://ebible.org/eng-lxx2012/', target: '_blank' },
            this.props.session.labels.pageAbout.website
          ),
          '.'
        ),
        _react2.default.createElement(
          'p',
          null,
          this.props.session.labels.pageAbout.ackHebrew,
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://www.tanach.us/Tanach.xml', target: '_blank' },
            this.props.session.labels.pageAbout.website
          ),
          '.'
        )
      )
    );
  };

  return AboutDatabase;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? AboutDatabase.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;

AboutDatabase.defaultProps = {};

exports.default = AboutDatabase;
module.exports = exports['default'];