'use strict';

exports.__esModule = true;
exports.Flag = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FlagEn = require('./images/FlagEn');

var _FlagEn2 = _interopRequireDefault(_FlagEn);

var _FlagEl = require('./images/FlagEl');

var _FlagEl2 = _interopRequireDefault(_FlagEl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// To get more flags:
// git clone git@github.com:hjnilsson/country-flags.git

// To compute width and height, see
// https://en.wikipedia.org/wiki/List_of_aspect_ratios_of_national_flags

// if we use a standard width of 20px, then 20/ratio as a decimal = height

var Flag = exports.Flag = function (_React$Component) {
  _inherits(Flag, _React$Component);

  function Flag(props) {
    _classCallCheck(this, Flag);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.getFlag = function (code) {
      switch (code) {
        case "el":
          {
            return _react2.default.createElement(_FlagEl2.default, null);
          }
        default:
          {
            return _react2.default.createElement(_FlagEn2.default, null);
          }
      }
    };

    _this.getFlag = _this.getFlag.bind(_this);
    return _this;
  }

  Flag.prototype.render = function render() {
    return _react2.default.createElement(
      'span',
      null,
      this.getFlag(this.props.code)
    );
  };

  return Flag;
}(_react2.default.Component);

exports.default = Flag;