'use strict';

exports.__esModule = true;

var _labels = require('./classes/labels.json');

var _labels2 = _interopRequireDefault(_labels);

var _LabelTopics = require('./classes/LabelTopics');

var _LabelTopics2 = _interopRequireDefault(_LabelTopics);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// To produce labels.json and LabelTopics.js,
//   run ioc-liturgical-ws net.ages.alwb.utils.transformers.LabelsNeoToJson
// Note that labels.json is replaced once the user logs on.

var StaticLabels = function StaticLabels() {
  _classCallCheck(this, StaticLabels);

  this.labelsJson = _labels2.default;
  this.LabelTopics = _LabelTopics2.default;
};

exports.default = StaticLabels;
module.exports = exports['default'];