'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Html5VideoPanel = function (_React$Component) {
  _inherits(Html5VideoPanel, _React$Component);

  function Html5VideoPanel(props) {
    _classCallCheck(this, Html5VideoPanel);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillMount = function () {};

    _this.componentWillReceiveProps = function (nextProps) {};

    return _this;
  }

  Html5VideoPanel.prototype.render = function render() {

    return _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _reactBootstrap.Panel,
        {
          className: 'App-Help-panel',
          header: this.props.title,
          eventKey: this.props.eventKey,
          collapsible: true
        },
        _react2.default.createElement(
          _reactBootstrap.Well,
          null,
          _react2.default.createElement(
            'p',
            null,
            this.props.text
          ),
          this.props.url ? _react2.default.createElement(
            'video',
            { className: 'App-video-player', width: '320', height: '240', controls: true },
            ' ',
            _react2.default.createElement('source', { src: this.props.url })
          ) : _react2.default.createElement('span', null)
        )
      )
    );
  };

  return Html5VideoPanel;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? Html5VideoPanel.propTypes = {
  url: _propTypes2.default.string,
  title: _propTypes2.default.string.isRequired,
  text: _propTypes2.default.string.isRequired,
  eventKey: _propTypes2.default.string.isRequired
} : void 0;

Html5VideoPanel.defaultProps = {};

exports.default = Html5VideoPanel;
module.exports = exports['default'];