"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocProps = function (_React$Component) {
  _inherits(DocProps, _React$Component);

  function DocProps(props) {
    _classCallCheck(this, DocProps);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocProps.prototype.render = function render() {
    return _react2.default.createElement(
      "div",
      { className: "App-help-doc-props" },
      _react2.default.createElement(
        "div",
        { className: "jumbotron" },
        _react2.default.createElement(
          "p",
          null,
          this.state.labels.searchSecDocPropsP01
        ),
        _react2.default.createElement(
          "ol",
          null,
          _react2.default.createElement(
            "li",
            null,
            "ID"
          ),
          _react2.default.createElement(
            "li",
            null,
            "value"
          ),
          _react2.default.createElement(
            "li",
            null,
            "nnp"
          )
        ),
        _react2.default.createElement(
          "p",
          null,
          this.state.labels.searchSecDocPropsP02
        ),
        _react2.default.createElement(
          "p",
          null,
          this.state.labels.searchSecDocPropsP03
        )
      )
    );
  };

  return DocProps;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocProps.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;

exports.default = DocProps;
module.exports = exports["default"];