'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontawesome = require('react-fontawesome');

var _reactFontawesome2 = _interopRequireDefault(_reactFontawesome);

var _SsSearchAvancedInitial = require('../../images/SsSearchAvancedInitial');

var _SsSearchAvancedInitial2 = _interopRequireDefault(_SsSearchAvancedInitial);

var _SsSearchAvancedBiblicalInitial = require('../../images/SsSearchAvancedBiblicalInitial');

var _SsSearchAvancedBiblicalInitial2 = _interopRequireDefault(_SsSearchAvancedBiblicalInitial);

var _SsSearchAvancedLiturgicalInitial = require('../../images/SsSearchAvancedLiturgicalInitial');

var _SsSearchAvancedLiturgicalInitial2 = _interopRequireDefault(_SsSearchAvancedLiturgicalInitial);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocSearchAdvanced = function (_React$Component) {
  _inherits(DocSearchAdvanced, _React$Component);

  function DocSearchAdvanced(props) {
    _classCallCheck(this, DocSearchAdvanced);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSearchAdvanced.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-help-doc-advanced-search' },
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP01
        ),
        _react2.default.createElement(_SsSearchAvancedInitial2.default, null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP02
        ),
        _react2.default.createElement(
          'ol',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP03
          ),
          _react2.default.createElement(
            'ul',
            null,
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP04
            ),
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP05
            ),
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchSecDocSearchAdvancedP06
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP07
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP08
        ),
        _react2.default.createElement(_SsSearchAvancedBiblicalInitial2.default, null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP09
        ),
        _react2.default.createElement(_SsSearchAvancedLiturgicalInitial2.default, null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP10,
          ' ',
          this.state.labels.searchSecDocSearchAdvancedP11
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP12
        ),
        _react2.default.createElement(
          'ol',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP13
          ),
          _react2.default.createElement(
            'ul',
            null,
            _react2.default.createElement(
              'li',
              null,
              'ID'
            ),
            _react2.default.createElement(
              'li',
              null,
              'Value (insensitive)'
            ),
            _react2.default.createElement(
              'li',
              null,
              'Value (sensitive)'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP14
          ),
          _react2.default.createElement(
            'ul',
            null,
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAtTheStart
            ),
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAnywhere
            ),
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchMatchesAtTheEnd
            ),
            _react2.default.createElement(
              'li',
              null,
              this.state.labels.searchMatchesRegEx
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP19
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP20,
            ' ',
            _react2.default.createElement(_reactFontawesome2.default, { name: 'search' })
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP21,
          ':'
        ),
        _react2.default.createElement(
          'ul',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP22
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP23
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP24
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchAdvancedP25
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchAdvancedP26
        )
      )
    );
  };

  return DocSearchAdvanced;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocSearchAdvanced.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;
exports.default = DocSearchAdvanced;
module.exports = exports['default'];