'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SsRegEx = require('../../images/SsRegEx');

var _SsRegEx2 = _interopRequireDefault(_SsRegEx);

var _SsRegExResult = require('../../images/SsRegExResult');

var _SsRegExResult2 = _interopRequireDefault(_SsRegExResult);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DocSearchRegularExpressions = function (_React$Component) {
  _inherits(DocSearchRegularExpressions, _React$Component);

  function DocSearchRegularExpressions(props) {
    _classCallCheck(this, DocSearchRegularExpressions);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.componentWillReceiveProps = function (nextProps) {
      _this.setState({
        labels: nextProps.session.labels[nextProps.session.labelTopics.help]
      });
    };

    _this.state = {
      labels: props.session.labels[props.session.labelTopics.help]
    };
    return _this;
  }

  DocSearchRegularExpressions.prototype.render = function render() {
    return _react2.default.createElement(
      'div',
      { className: 'App-help-doc-regex-search' },
      _react2.default.createElement(
        'div',
        { className: 'jumbotron' },
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP01
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP02
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP03
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP04
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP05
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP06
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP07
        ),
        _react2.default.createElement(_SsRegEx2.default, null),
        _react2.default.createElement('p', null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP08
        ),
        _react2.default.createElement(_SsRegExResult2.default, null),
        _react2.default.createElement('p', null),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP09
        ),
        _react2.default.createElement(
          'ul',
          null,
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP10
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP11
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP12
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP13
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP14
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP15
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP16
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP17
          ),
          _react2.default.createElement(
            'li',
            null,
            this.state.labels.searchSecDocSearchRegExP18
          )
        ),
        _react2.default.createElement(
          'p',
          null,
          this.state.labels.searchSecDocSearchRegExP19
        )
      )
    );
  };

  return DocSearchRegularExpressions;
}(_react2.default.Component);

process.env.NODE_ENV !== "production" ? DocSearchRegularExpressions.propTypes = {
  session: _propTypes2.default.object.isRequired
} : void 0;
exports.default = DocSearchRegularExpressions;
module.exports = exports['default'];